Page MenuHomePhabricator

Get stats on how frequently RC Page related links (at page top) are clicked
Closed, ResolvedPublic

Description

To help guide our decisions about moving the related links to a less prominent position on the RC page (T164548)—and, possibly, slimming down some collections—it will be useful to know how often these links are clicked. T

Test results

https://docs.google.com/spreadsheets/d/1iQ6rjkxtDxSLy1VrLDAMKblyhmo7UOvxDccxd8ZKdD8/edit#gid=0

Functionality

  • To start this moving forward, we need to be sure we can track clicks on these links individually and as a group. I.e., on a given page/wiki, we'd like to be able to see how many clicks went to the related links overall, and how many clicks went to each link.
  • We would probably want to track over a week at minimum, to account for natural weekly rhythms.
  • We don't have to track all wikis (though Roan indicated this might actually be easier). If it is advantageous to check only some, the following are a mix of wikis with many links (Czezk) and few (Russian), as well as a sampling of large and smaller wikis: Czezk, Russian, German, English, Arabic.

What type of numbers would be useful?

Our goal is to be able to make judgements about two things: 1) are the links overall used often, compared to other functions or items on the page, and 2) on a given wiki, which of the links at page top are the most popular, and which are never or rarely clicked on.

Overall usage

How can we make these numbers meaningful? Here are a few ideas:

  • We could look at the clicks as a percentage of page views, though I'm not clear what a "page view" is on the RC page anymore.
  • Better would be to see it as a % of sessions, as defined in T158447.
  • Alternatively, it might be possible to rank these in comparison to all the other non-content links that are specifically related to Recent Changes (i.e., excluding footer, nav, and any other links that are standard on all pages).

Relative popularity

  • For this measure, the idea is to compare the related links to one another, so we can see if there is a natural point where usage falls off.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : wmf/1.30.0-wmf.1Track RC clicks for all users, not just logged-in users
mediawiki/extensions/WikimediaEvents : masterTrack RC clicks for all users, not just logged-in users
mediawiki/core : masterSpecialRecentchanges: Add class="mw-recentchanges-toplinks" to the "top links"
mediawiki/extensions/WikimediaEvents : masterTrack clicks on the "top links" on the RC page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2017, 8:27 PM
jmatazzoni renamed this task from Get stats on how many frequently RC Page related links (at page top) are clicked to Get stats on how frequently RC Page related links (at page top) are clicked.May 5 2017, 8:27 PM

Change 352295 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] SpecialRecentchanges: Add class="mw-recentchanges-toplinks" to the "top links"

https://gerrit.wikimedia.org/r/352295

Change 352296 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/WikimediaEvents@master] Track clicks on the "top links" on the RC page

https://gerrit.wikimedia.org/r/352296

@Catrope, did you pull the numbers? Or just make it so we can pull them later?

@Catrope, did you pull the numbers? Or just make it so we can pull them later?

I submitted two patches that, if merged by Tuesday morning, will make it so that we will start counting clicks on Thursday afternoon.

Change 352295 merged by jenkins-bot:
[mediawiki/core@master] SpecialRecentchanges: Add class="mw-recentchanges-toplinks" to the "top links"

https://gerrit.wikimedia.org/r/352295

Change 352296 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Track clicks on the "top links" on the RC page

https://gerrit.wikimedia.org/r/352296

@Catrope The anon users won't have their clicks recorded.

Change 353152 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/WikimediaEvents@master] Track RC clicks for all users, not just logged-in users

https://gerrit.wikimedia.org/r/353152

Change 353152 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Track RC clicks for all users, not just logged-in users

https://gerrit.wikimedia.org/r/353152

Change 353163 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.1] Track RC clicks for all users, not just logged-in users

https://gerrit.wikimedia.org/r/353163

Change 353163 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.30.0-wmf.1] Track RC clicks for all users, not just logged-in users

https://gerrit.wikimedia.org/r/353163

Mentioned in SAL (#wikimedia-operations) [2017-05-10T23:13:48Z] <catrope@tin> Synchronized php-1.30.0-wmf.1/extensions/WikimediaEvents/: T164617 (duration: 00m 42s)

Checked on enwiki betalabs for anon users (https://gerrit.wikimedia.org/r/353163) -- works as expected.

T164976: [betalabs-minor] eventlogging for RecentChangesTopLinks on FF/Safari ( Mac OS only) was filed to look into possible issues with betalabs eventlogging.

QA Recommendation: Product should weigh in

Change 353210 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikimediaEvents@master] RecentChangesClicks: Address minor performance concerns

https://gerrit.wikimedia.org/r/353210

jmatazzoni closed this task as Resolved.Jun 5 2017, 8:21 PM